---
sidebar_position: 3
title: 团队成员
---

## Hippo4j 团队

非常感谢通过开源对 Hippo4j 贡献的开发者，项目始终保持高质量编码，以社区的力量去发展项目，并以项目反馈社区成员。我们期待对开源有兴趣的小伙伴加入团队，与社区共同成长。

## 开发者角色

Hippo4j 开发者包含 Maintainer、Committer、Contributor 三种角色，每种角色的标准定义如下。

### 1. Maintainer

Maintainer 是对 Hippo4j 项目的演进和发展做出显著贡献的个人。具体包含以下的标准：

- 完成多个关键模块或者工程的设计与开发，是项目的核心开发人员；
- 持续的投入和激情，能够积极参与社区、官网、Issue、PR 等项目相关事项的维护；
- 在社区中具有有目共睹的影响力，能够代表 Hippo4j 参加重要的社区会议和活动；
- 具有培养 Committer 和 Contributor 的意识和能力。

### 2. Committer

Committer 是具有 Hippo4j 仓库写权限的个人，包含以下的标准：

- 能够在长时间内做持续贡献 Issue、PR 的个人；
- 参与 Issue 列表的维护及重要 Feature 的讨论；
- 参与 Code review。

### 3. Contributor

Contributor 是对 Hippo4j 项目有贡献的个人，标准为：

- 提交过 PR（代码或者文档）并被合并。

### 4. 开发者权利及义务

![](https://images-machen.oss-cn-beijing.aliyuncs.com/image-20230412144105059.png)

## 开发团队

本页面展示了 Hippo4j 的开发团队，并且还在持续扩充中。

<table>
  <tr>
    <td align="center" width="16%"></td>
    <td align="center" width="16%">姓名</td>
    <td align="center" width="24%">GitHub ID</td>
    <td align="center" width="18%">角色</td>
    <td align="center" width="26%">联系方式</td>
  </tr>
  <tr>
    <td align="center" ><a href="https://github.com/magestacks"><img src="https://avatars.githubusercontent.com/u/77398366?v=4?s=64" width="64px;"/></a></td>
    <td align="center" >马称</td>
    <td align="center" ><a href="https://github.com/magestacks">magestacks</a></td>
    <td align="center" >Maintainer</td>
    <td align="center" >machen@apache.org</td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/shining-stars-lk"><img src="https://avatars.githubusercontent.com/u/40255310?v=4?s=64" width="64px;"/></a></td>
    <td align="center">陆宽</td>
    <td align="center" ><a href="https://github.com/shining-stars-lk">shining-stars-lk</a></td>
    <td align="center" >Committer</td>
    <td align="center" >1031900093@qq.com</td>
  </tr>
   <tr>
    <td align="center"><a href="https://github.com/iwangjie"><img src="https://avatars.githubusercontent.com/u/23075587?v=4?s=64" width="64px;"/></a></td>
    <td align="center">王杰</td>
    <td align="center" ><a href="https://github.com/iwangjie">iwangjie</a></td>
    <td align="center" >Committer</td>
    <td align="center" >wangchenmo1025@gmail.com</td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/weihubeats"><img src="https://avatars.githubusercontent.com/u/42484192?v=4?s=64" width="64px;"/></a></td>
    <td align="center">魏虎</td>
    <td align="center" ><a href="https://github.com/weihubeats">weihubeats</a></td>
    <td align="center" >Committer</td>
    <td align="center" >weihu@apache.org</td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/BigXin0109"><img src="https://avatars.githubusercontent.com/u/24769514?v=4?s=64" width="64px;"/></a></td>
    <td align="center">李剑鑫</td>
    <td align="center" ><a href="https://github.com/BigXin0109">BigXin0109</a></td>
    <td align="center" >Committer</td>
    <td align="center" >1064730540@qq.com</td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/pizihao"><img src="https://avatars.githubusercontent.com/u/48643103?v=4?s=64" width="64px;"/></a></td>
    <td align="center">刘文浩</td>
    <td align="center" ><a href="https://github.com/pizihao">pizihao</a></td>
    <td align="center" >Committer</td>
    <td align="center" >hao3073liu@163.com</td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/pizihao"><img src="https://avatars.githubusercontent.com/u/49084314?v=4?s=64" width="64px;"/></a></td>
    <td align="center">叶炜</td>
    <td align="center" ><a href="https://github.com/shanjianq">shanjianq</a></td>
    <td align="center" >Committer</td>
    <td align="center" >17855368071@163.com</td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/Createsequence"><img src="https://avatars.githubusercontent.com/u/49221670?v=4" width="64px;"/></a></td>
    <td align="center">黄成兴</td>
    <td align="center" ><a href="https://github.com/Createsequence">Createsequence</a></td>
    <td align="center" >Committer</td>
    <td align="center" >841396397@qq.com</td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/wulangcode"><img src="https://avatars.githubusercontent.com/u/48200100?v=4" width="64px;"/></a></td>
    <td align="center">吴浪</td>
    <td align="center" ><a href="https://github.com/wulangcode">wulangcode</a></td>
    <td align="center" >Committer</td>
    <td align="center" >sanliangitch@foxmail.com</td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/road2master"><img src="https://avatars.githubusercontent.com/u/53806703?v=4" width="64px;"/></ a></td>
    <td align="center">黎金星</td>
    <td align="center"><a href="https://github.com/road2master">road2master</a></td>
    <td align="center">Committer</td>
    <td align="center">lijinxingerm@gmail.com</td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/yanrongzhen"><img src="https://avatars.githubusercontent.com/u/106363931?v=4" width="64px;"/></ a></td>
    <td align="center">严荣振</td>
    <td align="center"><a href="https://github.com/yanrongzhen">yanrongzhen</a></td>
    <td align="center">Committer</td>
    <td align="center">bruceyan@didiglobal.com</td>
  </tr>
</table>

## 成为 Committer

持续对 Hippo4j 进行贡献，粗略评估，至少完成 20+ PR 贡献可成为核心开发者。 其中包括完成 2
个 [good pro issue](https://github.com/opengoofy/hippo4j/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+pro+issue%22)
或以上，以及若干个 [good first issue](https://github.com/opengoofy/hippo4j/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22)。

:::note
会根据 PR 质量提供个性化评估，有可能一个或两个质量较高 PR
即可成为核心开发者。参考：[重构 DynamicThreadPoolExecutor 功能扩展逻辑](https://github.com/opengoofy/hippo4j/pull/854)
:::

成为 Committer 后，会为该 GitHub 账号获取 Jetbrains 全家桶 Licenses，有效期为 1 年。不用再为破解而烦恼，感受随时升级的快乐。

:::note
距离到期两周前，会再次申请 Jetbrains Licenses。有点类似于无限续约的感觉，在此感谢 Jetbrains 公司对开源的支持。
:::

截至 `2022-10-30` 当天，已为登记的 7 位 Committer 成功申请 Licenses。

![](https://images-machen.oss-cn-beijing.aliyuncs.com/image-20221030134303060.png)
